@import url("./reset.css");
@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@400;700&display=swap');

.body {
    background-image: url(images/background.png);
    background-size: cover;
    background-repeat: no-repeat;
    font-family: 'Ubuntu', sans-serif;
}

.header{
    width: 100%;
    height: 58px;
    background: rgba(0, 0, 0, 0.4);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    position: relative;
}

.header_section{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 700px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
}

.header_title{
    font-weight: 700;
    font-size: 22px;
    line-height: 1;
    color: #FFFFFF;
}

.header_title:hover{
    color: #3CB878;
}

.header_logo{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 25px;
}

.header_svg_logo:hover{
    cursor: pointer;
}

.header_svg_logo:hover path {
    fill:#3CB878;
}

.header_link{
    font-size: 14px;
    line-height: 1;
    color: #FFFFFF;
}

.line {
    width: 1px;
    height: 19px;
    background: rgba(255, 255, 255, 0.9);
    opacity: 0.5;
}

.log_in_sign_up_link:hover{
   color: #3CB878;
}

.form_title{
    font-size: 20px;
    line-height: 1;
    color: #434343; 
}

.section_form{
    background: #FFFFFF;
    box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
    max-width: 444px;
    margin: 0 auto;
    margin-top: 53px;
    position: relative;
}

.signupform{
    width: 324px;
    margin: 0 auto;
}

.shape{
    position: absolute;
    background-color: rgba(60, 184, 120, 1);
    width: 18px;
    height: 18px;
    top: 29px;
    left: 0;
}

.title_form{
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
    padding-top: 31px;
}

.login_title{
    color: #3CB878;
}

.login_title:hover {
    color: #01813F;
    text-decoration: underline;
    text-decoration-color:#01813F;
}

.button{
    display: flex;
    justify-content: space-between;
    gap: 6px;
}

.btn{
    display: flex;
    gap: 10px;
    align-items: center;
    width: 160px;
    height: 46px;
    border-radius: 4px;
    font-size: 16px;
    line-height: 2;
    color: #FFFFFF;
    font-family: 'Ubuntu';
}

.facebook_btn{
    background: #305DB8;
}

.button_title::after{
    content: " ";
    background: #0A162F;
    opacity: 0.1;
    width: 1px;
    height: 30px;
    float: left;
    margin-right: 15px;
}

.facebook_btn:hover>.button_title::after{
    background: #2B0D09;
}

.facebook_logo{
    width: 24px;
    height: 24px;
    fill: #FFFFFF;
    margin-left: 12px;
}

.facebook_btn:hover{
    background: #022263;
}

.google_btn{
    background: #DF4A32;
}

.google_btn:hover{
    background: #AB1F09;}

.google_logo{
    width: 40px;
    height: 29px;
    fill: #FFFFFF;
    margin-left: 12px;
}

.vertical_line{
    overflow: hidden;
    text-align: center;
    font-size: 14px;
    line-height: 1;
    color: #848484;
    margin-top: 31px;
    margin-bottom: 12px;
}

.vertical_line::before , 
.vertical_line::after{
    content: "";
    display: inline-block;
    vertical-align: middle;
    width: 100%;
    background-color: rgba(242, 242, 242, 1);
    position: relative;
    height: 1px;
}

.vertical_line::before{
    margin-left: -100%;
    left: -4px;
}

.vertical_line::after{
    margin-right: -100%;
    right: -4px;
}

.label{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

.input{
    width: 324px;
    height: 44px;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    padding-left: 20px;
    font-family: 'Ubuntu';
}

.input:focus{
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
    cursor: pointer;
    outline: none;
}

.terms_conditions{
   color:  rgba(60, 184, 120, 1);
}

.terms_conditions:hover {
    color: rgba(1, 129, 63, 1);
    text-decoration: underline;
}

.checkbox{
    position: relative;
    margin-top: 12px;
}

.checkbox_input{
    appearance: none;
    -webkit-appearance: none;
    position: absolute;
}

.checkbox_label{
    padding-left: 28px;
    color: rgba(67, 67, 67, 1)
}

.checkbox_label::before{
    content: "";
    display: block;
    width: 20px;
    height: 20px;
    background: rgba(0, 0, 0, 0.0001);
    border: 1px solid #F2F2F2;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

.checkbox_label::after{
    content: "";
    display: block;
    position: absolute;
    top: 3px;
    left: 3px;
    z-index: 2;
    width: 14px;
    height: 14px;
    background: url(./images/check.svg) no-repeat;
    background-size: 14px 14px;
    opacity: 0;
    cursor: pointer;
}

.checkbox_input:checked + .checkbox_label::after{
    opacity: 1;
}

.create_account{
    margin-top: 20px;
    width: 324px;
    height: 46px;
    background: rgba(60, 184, 120, 0.8);
    border-radius: 4px;
    font-weight: 400;
    font-size: 16px;
    line-height: 1;
    color: #FFFFFF;
    margin-bottom: 38px;
}

.create_account:hover {
    background: #01813F;
}
